config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  # For details on the DSL available within this file, see https://guides.rubyonrails.org/routing.html

  PERMITTED_AREAS = /(state|city|census_sector|regional_health_coordination|technical_health_supervision|subprefecture|administrative_sector|ubs|family_health_strategy)/.freeze

  scope "(:locale)", locale: /#{I18n.available_locales.join("|")}/ do
    devise_for :users
    root 'homepage#index'

    resources :procedures, only: %i[index show] do
      post 'search/', to: 'procedures#search', on: :collection
      get 'search/', to: 'procedures#index', on: :collection
      get 'export/', to: 'procedures#export', on: :collection
      post 'print/', to: 'procedures#print', on: :collection
      get 'map_popup_on/:area/for/:id', to: 'procedures#map_popup_on_area', on: :collection, as: :map_popup_on_area, area: PERMITTED_AREAS
    end

    resources :health_facilities, only: [:show]

    resources :general_data, only: [:index] do
      post 'print/', to: 'general_data#print', on: :collection
    end

    resources :demographic_divisions do
      get 'geojson/:area', to: 'demographic_divisions#geojson', on: :collection, area: PERMITTED_AREAS
    end

    get 'about', to: 'static_pages#about'
    get 'guide', to: 'static_pages#guide'
  end
end

app/views/shared/_footer.html.erb
<% unless @public_instance %>
  <%= render partial: 'shared/footer_sms' %>
<% else %>
  <%= render partial: 'shared/footer_public' %>
<% end %>

app/views/shared/_footer_public.html.erb
<footer class="py-2 bg-white">
  <div class="container">
    <div class="row">
      <div class="col-lg-10">
        <div class="row m-1">
          <div class="my-0 mx-auto col-3">
            <center> <%= image_tag 'logos/ccsl_ime_usp.svg', style: 'height: 37px' %> </center>
          </div>
          <div class="my-0 mx-auto col-3">
            <center> <%= image_tag 'logos/capes.png', style: 'height: 35px' %> </center>
          </div>
          <div class="my-0 mx-auto col-3">
            <center> <%= image_tag 'logos/fapesp.png', style: 'height: 35px' %> </center>
          </div>
          <div class="my-0 mx-auto col-3">
            <center> <%= image_tag 'logos/cnpq.png', style: 'height: 35px' %> </center>
          </div>
        </div>
      </div>
      <div class="col-lg-2">
        <ul class="my-0 footer-links small">
          <li>
            <%= link_to t('views.shared.footer.about'), about_path, class: 'link' %>
          </li>
          <li>
            <%= link_to t('views.shared.footer.guide'), guide_path, class: 'link' %>
          </li>
        </ul>
      </div>
    </div>
  </div>
</footer>

app/views/shared/_footer_sms.html.erb
<footer class="py-2 bg-dark">
  <div class="container">
    <div class="row">
      <div class="col-lg-5">
        <p class="m-0 text-left text-white small">
          <strong>
            <%= t('views.shared.footer.sms') %>
          </strong>
        </p>
        <div class="m-0 row">
          <p class="my-0 text-left text-white small">
            R. General Jardim, 36 - Vila Buarque
          </p>
          <p class="my-0 mx-2 text-left text-white small"> │ </p>
          <p class="my-0 text-left text-white small">
            <abbr title="<%= t('views.shared.footer.telephone') %>">
              <%= t('views.shared.footer.telephone')[0] %>:
            </abbr>
            (11) 3397-2000
          </p>
        </div>
      </div>
      <div class="col-lg-5">
        <p class="m-0 text-left text-white small">
          <strong>
            <%= t('views.shared.footer.contact') %>
          </strong>
        </p>
        <div class="m-0 row">
          <p class="my-0 text-left text-white small">
            ouvidoriasaude@prefeitura.sp.gov.br
          </p>
          <p class="my-0 mx-2 text-left text-white small"> │ </p>
          <p class="my-0 text-left text-white small">
            <abbr title="<%= t('views.shared.footer.telephone') %>">
              <%= t('views.shared.footer.telephone')[0] %>:
            </abbr>
            156
          </p>
        </div>
      </div>
      <div class="col-lg-2">
        <ul class="my-0 footer-links small">
          <li>
            <%= link_to t('views.shared.footer.about'), about_path, class: 'link' %>
          </li>
          <li>
            <%= link_to t('views.shared.footer.guide'), guide_path, class: 'link' %>
          </li>
        </ul>
      </div>
    </div>
  </div>
</footer>

app/views/shared/_header.html.erb
<nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark fixed-top">
  <div class="container">
    <% unless @public_instance %>
      <%= image_tag 'logos/partner.png', class: 'partner-logo' %>
    <% else %>
      <%= link_to image_tag('logos/interscity.svg', class: 'partner-logo'), 'https://interscity.org/' %>
    <% end %>

    <% if @public_instance%>
      <%= link_to t("views.shared.header.public_application_name"), root_path, class: 'navbar-brand mb-0 pb-0', style: "height: 25px"%>
    <% else %>
      <%= link_to t("views.shared.header.application_name"), root_path, class: 'navbar-brand'%>
    <% end %>

    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarResponsive">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <%= link_to t('views.shared.header.map_and_filters'), procedures_path, class: 'nav-link', data: { turbolinks: false } %>
        </li>

        <!-- FIXME: implement this page
        <li class="nav-item">
          <%= link_to t('views.shared.header.health_facilities'), '#', class: 'nav-link' %>
        </li>
        -->

        <li class="nav-item">
          <%= link_to t('views.shared.header.data_and_charts'), general_data_path, target: '_blank', class: 'nav-link' %>
        </li>

        <li class="nav-item">
          <%= link_to t('views.shared.header.about'), about_path, class: 'nav-link' %>
        </li>

         <li class="nav-item">
          <%= link_to t('views.shared.header.guide'), guide_path, class: 'nav-link' %>
         </li>

        <% unless @public_instance %>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownPortfolio" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              <%= t('views.shared.header.user') %>
            </a>
            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownPortfolio">
              <% if user_signed_in? %>
                <% if current_user.admin %>
                  <%= link_to t('views.shared.header.admin'), trestle.root_path, class: 'dropdown-item' %>
                <% end %>
                <%= link_to t('views.shared.header.logout'), destroy_user_session_path, class: 'dropdown-item', method: :delete %>
              <% else %>
                <%= link_to t('views.shared.header.login'), new_user_session_path, class: 'dropdown-item' %>
              <% end %>
            </div>
          </li>
        <% end %>

        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownLocale" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <%= t('views.shared.header.language') %>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownLocale">
            <% languages = { 'pt-BR': 'Português', 'en': 'English' }%>
            <% I18n.available_locales.each do |locale| %>
              <% classes = 'dropdown-item' %>
              <% classes += ' disabled' if I18n.locale == locale %>
              <%= link_to languages[locale], { locale: locale }, class: classes, method: :get %>
            <% end %>
          </div>
        </li>
      </ul>
    </div>
  </div>
</nav>